Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization
Class RadiusGraphElementAccessor

    java.lang.Object
      edu.uci.ics.jung.visualization.RadiusGraphElementAccessor

All Implemented Interfaces:
  GraphElementAccessor

Direct Known Subclasses:
  RadiusPickSupport

public class RadiusGraphElementAccessor
extends Object
implements GraphElementAccessor

Simple implementation of PickSupport that returns the vertex or edge that is closest to the specified location. This implementation provides the same picking options that were available in previous versions of AbstractLayout.

Author:
  Tom Nelson, Joshua O'Madadhain

Field Summary
`protected Layout` | `layout`
`protected double` | `maxDistance`

Constructor Summary
`RadiusGraphElementAccessor(Layout l)`
`RadiusGraphElementAccessor(Layout l, double maxDistance)`

Method Summary
`Edge` | `getEdge(double x, double y)` Gets the edge nearest to the location of the (x,y) location selected.
`Edge` | `getEdge(double x, double y, double maxDistance)` Gets the edge nearest to the location of the (x,y) location selected, within a distance of `maxDistance`, Iterates through all visible edges and checks their distance from the click.
`Vertex` | `getVertex(double x, double y)` Gets the vertex nearest to the location of the (x,y) location selected, within a distance of `maxDistance`.
`Vertex` | `getVertex(double x, double y, double maxDistance)` Gets the vertex nearest to the location of the (x,y) location selected, within a distance of `maxDistance`.
`void` | `setLayout(Layout l)` Sets the `Layout` that is used to specify the locations of vertices and edges in this instance to `layout`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### layout

    protected Layout layout

### maxDistance

    protected double maxDistance

Constructor Detail

### RadiusGraphElementAccessor

    public RadiusGraphElementAccessor(Layout l)

### RadiusGraphElementAccessor

    public RadiusGraphElementAccessor(Layout l,
                                      double maxDistance)

Method Detail

### getVertex

    public Vertex getVertex(double x,
                            double y)

  Gets the vertex nearest to the location of the (x,y) location selected, within a distance of `maxDistance`. Iterates through all visible vertices and checks their distance from the click. Override this method to provde a more efficient implementation.

  Specified by:
    `getVertex` in interface `GraphElementAccessor`

### getVertex

    public Vertex getVertex(double x,
                            double y,
                            double maxDistance)

  Gets the vertex nearest to the location of the (x,y) location selected, within a distance of `maxDistance`. Iterates through all visible vertices and checks their distance from the click. Override this method to provde a more efficient implementation.

  Parameters:
    `x` -
    `y` -
    `maxDistance` - temporarily overrides member maxDistance

### getEdge

    public Edge getEdge(double x,
                        double y)

  Gets the edge nearest to the location of the (x,y) location selected. Calls the longer form of the call.

  Specified by:
    `getEdge` in interface `GraphElementAccessor`

### getEdge

    public Edge getEdge(double x,
                        double y,
                        double maxDistance)

  Gets the edge nearest to the location of the (x,y) location selected, within a distance of `maxDistance`, Iterates through all visible edges and checks their distance from the click. Override this method to provide a more efficient implementation.

  Parameters:
    `x` -
    `y` -
    `maxDistance` - temporarily overrides member maxDistance
  Returns:
    Edge closest to the click.

### setLayout

    public void setLayout(Layout l)

  Description copied from interface: `GraphElementAccessor`
  Sets the `Layout` that is used to specify the locations of vertices and edges in this instance to `layout`.

  Specified by:
    `setLayout` in interface `GraphElementAccessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD